<?php
/* Autor...:  */
/* Esquema.: GSS_ParametroMast.xml */
/* Generado: 2020-08-18 04:21:26 */

/* Metodos de acceso a los campos de la tabla GSS_ParametroMast */
abstract class BaseGSS_ParametroMastBN
{
    /* Campos de la tabla */
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $s_IdAplicacionCodigo;    // IdAplicacionCodigo: ( no definido )
    private $s_IdParametroClave;    // IdParametroClave: ( no definido )
    private $s_DescripcionParametro;    // DescripcionParametro: ( no definido )
    private $s_Explicacion;    // Explicacion: ( no definido )
    private $s_TipodeDatoFlag;    // TipodeDatoFlag: ( no definido )
    private $s_Texto;    // Texto: ( no definido )
    private $f_Numero;    // Numero: ( no definido )
    private $d_Fecha;    // Fecha: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdAplicacionCodigo */
    public function setIdAplicacionCodigo( $s_IdAplicacionCodigo )
    {
        $this->s_IdAplicacionCodigo = $s_IdAplicacionCodigo;
    }

    /* Obtiene el valor del campo IdAplicacionCodigo */
    public function getIdAplicacionCodigo()
    {
        return $this->s_IdAplicacionCodigo;
    }

    /* Establece el valor del campo IdParametroClave */
    public function setIdParametroClave( $s_IdParametroClave )
    {
        $this->s_IdParametroClave = $s_IdParametroClave;
    }

    /* Obtiene el valor del campo IdParametroClave */
    public function getIdParametroClave()
    {
        return $this->s_IdParametroClave;
    }

    /* Establece el valor del campo DescripcionParametro */
    public function setDescripcionParametro( $s_DescripcionParametro )
    {
        $this->s_DescripcionParametro = $s_DescripcionParametro;
    }

    /* Obtiene el valor del campo DescripcionParametro */
    public function getDescripcionParametro()
    {
        return $this->s_DescripcionParametro;
    }

    /* Establece el valor del campo Explicacion */
    public function setExplicacion( $s_Explicacion )
    {
        $this->s_Explicacion = $s_Explicacion;
    }

    /* Obtiene el valor del campo Explicacion */
    public function getExplicacion()
    {
        return $this->s_Explicacion;
    }

    /* Establece el valor del campo TipodeDatoFlag */
    public function setTipodeDatoFlag( $s_TipodeDatoFlag )
    {
        $this->s_TipodeDatoFlag = $s_TipodeDatoFlag;
    }

    /* Obtiene el valor del campo TipodeDatoFlag */
    public function getTipodeDatoFlag()
    {
        return $this->s_TipodeDatoFlag;
    }

    /* Establece el valor del campo Texto */
    public function setTexto( $s_Texto )
    {
        $this->s_Texto = $s_Texto;
    }

    /* Obtiene el valor del campo Texto */
    public function getTexto()
    {
        return $this->s_Texto;
    }

    /* Establece el valor del campo Numero */
    public function setNumero( $f_Numero )
    {
        $this->f_Numero = $f_Numero;
    }

    /* Obtiene el valor del campo Numero */
    public function getNumero()
    {
        return $this->f_Numero;
    }

    /* Establece el valor del campo Fecha */
    public function setFecha( $d_Fecha )
    {
        $this->d_Fecha = $d_Fecha;
    }

    /* Obtiene el valor del campo Fecha */
    public function getFecha()
    {
        return $this->d_Fecha;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdCompania' => $this->getIdCompania(),
            'IdAplicacionCodigo' => $this->getIdAplicacionCodigo(),
            'IdParametroClave' => $this->getIdParametroClave(),
            'DescripcionParametro' => $this->getDescripcionParametro(),
            'Explicacion' => $this->getExplicacion(),
            'TipodeDatoFlag' => $this->getTipodeDatoFlag(),
            'Texto' => $this->getTexto(),
            'Numero' => $this->getNumero(),
            'Fecha' => $this->getFecha(),
            'Estado' => $this->getEstado(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto GSS_ParametroMastBN desde un RecordSet */
    public static function retrieveByRs( $o_GSS_ParametroMastRs )
    {
        $o_GSS_ParametroMastBN = new GSS_ParametroMastBN();
        $o_GSS_ParametroMastBN->setIdCompania( ( integer ) $o_GSS_ParametroMastRs[ "IdCompania" ] );
        $o_GSS_ParametroMastBN->setIdAplicacionCodigo( $o_GSS_ParametroMastRs[ "IdAplicacionCodigo" ] );
        $o_GSS_ParametroMastBN->setIdParametroClave( $o_GSS_ParametroMastRs[ "IdParametroClave" ] );
        $o_GSS_ParametroMastBN->setDescripcionParametro( $o_GSS_ParametroMastRs[ "DescripcionParametro" ] );
        $o_GSS_ParametroMastBN->setExplicacion( $o_GSS_ParametroMastRs[ "Explicacion" ] );
        $o_GSS_ParametroMastBN->setTipodeDatoFlag( $o_GSS_ParametroMastRs[ "TipodeDatoFlag" ] );
        $o_GSS_ParametroMastBN->setTexto( $o_GSS_ParametroMastRs[ "Texto" ] );
        $o_GSS_ParametroMastBN->setNumero( ( float ) $o_GSS_ParametroMastRs[ "Numero" ] );
        $o_GSS_ParametroMastBN->setFecha( utilTimestamp::getTimestamp( $o_GSS_ParametroMastRs[ "Fecha" ], "Y-m-d H:i:s" ) );
        $o_GSS_ParametroMastBN->setEstado( $o_GSS_ParametroMastRs[ "Estado" ] );
        $o_GSS_ParametroMastBN->setUsuarioModificacion( $o_GSS_ParametroMastRs[ "UsuarioModificacion" ] );
        $o_GSS_ParametroMastBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_GSS_ParametroMastRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        return $o_GSS_ParametroMastBN;
    }
}
?>